Package commoble.morered.wire_post

# Class WirePostPlateBlock

java.lang.Object
net.minecraft.world.level.block.state.BlockBehaviour
net.minecraft.world.level.block.Block
commoble.morered.wire_post.AbstractPostBlock
commoble.morered.wire_post.AbstractPoweredWirePostBlock
commoble.morered.wire_post.WirePostPlateBlock

All Implemented Interfaces:
  `net.minecraft.world.flag.FeatureElement`, `net.minecraft.world.level.block.EntityBlock`, `net.minecraft.world.level.ItemLike`, `net.minecraftforge.common.extensions.IForgeBlock`

public class WirePostPlateBlock extends AbstractPoweredWirePostBlock

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraft.world.level.block.Block

`net.minecraft.world.level.block.Block.BlockStatePairKey`

## Nested classes/interfaces inherited from class net.minecraft.world.level.block.state.BlockBehaviour

`net.minecraft.world.level.block.state.BlockBehaviour.BlockStateBase, net.minecraft.world.level.block.state.BlockBehaviour.OffsetFunction, net.minecraft.world.level.block.state.BlockBehaviour.OffsetType, net.minecraft.world.level.block.state.BlockBehaviour.Properties, net.minecraft.world.level.block.state.BlockBehaviour.StateArgumentPredicate<A extends Object>, net.minecraft.world.level.block.state.BlockBehaviour.StatePredicate`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final net.minecraft.world.phys.shapes.VoxelShape[]`
`PLATED_POST_SHAPES_DUNSWE`

### Fields inherited from class commoble.morered.wire_post.AbstractPoweredWirePostBlock

`NO_DIRECTIONS, POST_SHAPES_DUNSWE, POWER`

### Fields inherited from class commoble.morered.wire_post.AbstractPostBlock

`DIRECTION_OF_ATTACHMENT, TRANSFORM`

### Fields inherited from class net.minecraft.world.level.block.Block

`BLOCK_STATE_REGISTRY, INDESTRUCTIBLE, INSTANT, stateDefinition, UPDATE_ALL, UPDATE_ALL_IMMEDIATE, UPDATE_CLIENTS, UPDATE_IMMEDIATE, UPDATE_INVISIBLE, UPDATE_KNOWN_SHAPE, UPDATE_LIMIT, UPDATE_MOVE_BY_PISTON, UPDATE_NEIGHBORS, UPDATE_NONE, UPDATE_SUPPRESS_DROPS`

### Fields inherited from class net.minecraft.world.level.block.state.BlockBehaviour

`drops, dynamicShape, explosionResistance, friction, hasCollision, isRandomlyTicking, jumpFactor, properties, requiredFeatures, soundType, speedFactor, UPDATE_SHAPE_ORDER`

### Fields inherited from interface net.minecraft.world.flag.FeatureElement

`FILTERED_REGISTRIES`

## Constructor Summary

Constructors
Constructor
Description
`WirePostPlateBlock(net.minecraft.world.level.block.state.BlockBehaviour.Properties properties, Function<net.minecraft.world.level.block.state.BlockState,EnumSet<net.minecraft.core.Direction>> connectionGetter)`

## Method Summary

Modifier and Type
Method
Description
`static EnumSet<net.minecraft.core.Direction>`
`getRedstoneConnectionDirectionsForEmptyPlate(net.minecraft.world.level.block.state.BlockState state)`
`static EnumSet<net.minecraft.core.Direction>`
`getRedstoneConnectionDirectionsForRelayPlate(net.minecraft.world.level.block.state.BlockState state)`
`net.minecraft.world.phys.shapes.VoxelShape`
`getShape(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.BlockGetter worldIn, net.minecraft.core.BlockPos pos, net.minecraft.world.phys.shapes.CollisionContext context)`

### Methods inherited from class commoble.morered.wire_post.AbstractPoweredWirePostBlock

`canConnectRedstone, createBlockStateDefinition, getConnectableDirections, getConnectionPower, getNeighborPower, getNewPower, getSignal, getStateForPlacement, isSignalSource, neighborChanged, newBlockEntity, notifyNeighbors, setPlacedBy, updateShape`

### Methods inherited from class commoble.morered.wire_post.AbstractPostBlock

`getCollisionShape, mirror, onPlace, onRemove, rotate, updatePostSet`

### Methods inherited from class net.minecraft.world.level.block.Block

`animateTick, appendHoverText, asBlock, asItem, box, builtInRegistryHolder, byItem, canSupportCenter, canSupportRigidBlock, canSustainPlant, defaultBlockState, destroy, dropFromExplosion, dropResources, dropResources, dropResources, dropResources, fallOn, getCloneItemStack, getDescriptionId, getDrops, getDrops, getExplosionResistance, getFriction, getId, getJumpFactor, getName, getRenderPropertiesInternal, getShapeForEachState, getSoundType, getSpeedFactor, getStateDefinition, handlePrecipitation, hasDynamicShape, initializeClient, isExceptionForConnection, isFaceFull, isPossibleToRespawnInThis, isRandomlyTicking, isShapeFullBlock, playerDestroy, playerWillDestroy, popExperience, popResource, popResourceFromFace, propagatesSkylightDown, pushEntitiesUp, registerDefaultState, shouldRenderFace, spawnDestroyParticles, stateById, stepOn, toString, tryDropExperience, updateEntityAfterFallOn, updateFromNeighbourShapes, updateOrDestroy, updateOrDestroy, wasExploded, withPropertiesOf`

### Methods inherited from class net.minecraft.world.level.block.state.BlockBehaviour

`attack, canBeReplaced, canBeReplaced, canSurvive, defaultDestroyTime, defaultMapColor, entityInside, getAnalogOutputSignal, getBlockSupportShape, getDestroyProgress, getDirectSignal, getDrops, getFluidState, getInteractionShape, getLightBlock, getLootTable, getMaxHorizontalOffset, getMaxVerticalOffset, getMenuProvider, getOcclusionShape, getRenderShape, getSeed, getShadeBrightness, getVisualShape, hasAnalogOutputSignal, isAir, isCollisionShapeFullBlock, isOcclusionShapeFullBlock, isPathfindable, onProjectileHit, randomTick, requiredFeatures, skipRendering, spawnAfterBreak, tick, triggerEvent, updateIndirectNeighbourShapes, use, useShapeForLightOcclusion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.minecraft.world.level.block.EntityBlock

`getListener, getTicker`

### Methods inherited from interface net.minecraft.world.flag.FeatureElement

`isEnabled`

### Methods inherited from interface net.minecraftforge.common.extensions.IForgeBlock

`addLandingEffects, addRunningEffects, canBeHydrated, canDropFromExplosion, canEntityDestroy, canHarvestBlock, canStickTo, collisionExtendsVertically, getAdjacentBlockPathType, getAppearance, getBeaconColorMultiplier, getBedDirection, getBlockPathType, getCloneItemStack, getEnchantPowerBonus, getExpDrop, getExplosionResistance, getFireSpreadSpeed, getFlammability, getFriction, getLightEmission, getMapColor, getPistonPushReaction, getRespawnPosition, getSoundType, getStateAtViewpoint, getToolModifiedState, getWeakChanges, hidesNeighborFace, isBed, isBurning, isConduitFrame, isFertile, isFireSource, isFlammable, isLadder, isPortalFrame, isScaffolding, isSlimeBlock, isStickyBlock, isValidSpawn, makesOpenTrapdoorAboveClimbable, onBlockExploded, onBlockStateChange, onCaughtFire, onDestroyedByPlayer, onNeighborChange, onTreeGrow, rotate, setBedOccupied, shouldCheckWeakPower, shouldDisplayFluidOverlay, supportsExternalFaceHiding`

## Field Details

### PLATED_POST_SHAPES_DUNSWE

protected static final net.minecraft.world.phys.shapes.VoxelShape[] PLATED_POST_SHAPES_DUNSWE

## Constructor Details

### WirePostPlateBlock

public WirePostPlateBlock(net.minecraft.world.level.block.state.BlockBehaviour.Properties properties, Function<net.minecraft.world.level.block.state.BlockState,EnumSet<net.minecraft.core.Direction>> connectionGetter)

## Method Details

### getShape

public net.minecraft.world.phys.shapes.VoxelShape getShape(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.BlockGetter worldIn, net.minecraft.core.BlockPos pos, net.minecraft.world.phys.shapes.CollisionContext context)

Overrides:
  `getShape` in class `net.minecraft.world.level.block.state.BlockBehaviour`

### getRedstoneConnectionDirectionsForEmptyPlate

public static EnumSet<net.minecraft.core.Direction> getRedstoneConnectionDirectionsForEmptyPlate(net.minecraft.world.level.block.state.BlockState state)

### getRedstoneConnectionDirectionsForRelayPlate

public static EnumSet<net.minecraft.core.Direction> getRedstoneConnectionDirectionsForRelayPlate(net.minecraft.world.level.block.state.BlockState state)